# CRV API client

## Installation

Add these lines to your application's Gemfile:

```	
source 'http://lm-gems:9292'
gem 'crv_api_client'
```

And then execute:

```
$ bundle
```

Or install it yourself as:

```
$ gem install crv_api_client
```

## Usage

Create a new client

```ruby
crv_client = CrvApiClient::Animals.new
```

Request a list of animals.

```ruby
response = crv_client.list_animals(crv_id, country_code)
```

## Configuration
Configure the CRV client by passing it a block. For example:

```ruby
success = CrvApiClient.configure do |config|
  config.customer = {participant_code:"123",participant_code_type:"PAR", country_code:"NLD"}
  config.username = 'thisisme'
  config.password = 'verysecret'
end
```
