require 'spec_helper'

describe CrvApiClient::Api::Animals::RsAnimalPortType do

  describe "configure" do
    it "should assign endpoints as default" do
      animals = "EndpointAnimals"

      CrvApiClient.configure do |config|
        config.endpoint_animals = animals
      end
      driver = CrvApiClient::Api::Animals::RsAnimalPortType.new

      expect(driver.proxy.endpoint_url).to be(animals)

    end

    it "should accept custom endpoints " do

      animals = "MyEndpointAnimals"

      driver = CrvApiClient::Api::Animals::RsAnimalPortType.new animals

      expect(driver.proxy.endpoint_url).to be(animals)
    end

    it "should load with the default url" do

      CrvApiClient.configure do |config|
        config.endpoint_animals = nil
      end

      driver = CrvApiClient::Api::Animals::RsAnimalPortType.new

      expect(driver.proxy.endpoint_url).to be(CrvApiClient::Api::Animals::RsAnimalPortType::DefaultEndpointUrl)
    end
  end

end