require 'spec_helper'

describe CrvApiClient::Api::Reproduction::RsReproductionPortType do

  describe "configure" do
    it "should assign endpoints as default" do
      reproduction = "ReproductionEndpoint"

      CrvApiClient.configure do |config|
        config.endpoint_reproduction = reproduction
      end
      driver = CrvApiClient::Api::Reproduction::RsReproductionPortType.new

      expect(driver.proxy.endpoint_url).to be(reproduction)

    end

    it "should accept custom endpoints " do

      reproduction = "MyReproductionEndpoint"

      driver = CrvApiClient::Api::Reproduction::RsReproductionPortType.new reproduction

      expect(driver.proxy.endpoint_url).to be(reproduction)
    end

    it "should load with the default url" do

      CrvApiClient.configure do |config|
        config.endpoint_reproduction = nil
      end

      driver = CrvApiClient::Api::Reproduction::RsReproductionPortType.new

      expect(driver.proxy.endpoint_url).to be(CrvApiClient::Api::Reproduction::RsReproductionPortType::DefaultEndpointUrl)
    end
  end

end